HALT(8)

NAZWA
halt, reboot, poweroff - zatrzymuje system

SKŁADNIA
/sbin/halt [-n] [-w] [-d] [-f] [-i] [-p] [-h]
/sbin/reboot [-n] [-w] [-d] [-f] [-i]
/sbin/poweroff [-n] [-w] [-d] [-f] [-i] [-h]

OPIS
Program halt zaznacza w pliku /var/log/wtmp, że system jest zamykany, a następnie zleca jądru zatrzymanie systemu, jego restart lub wyłączenie komputera.

Jeśli podczas wywołania polecenia halt lub reboot system nie znajduje się w trybie pracy (runlevel) 0 ani 6, to zamiast tego zostanie wywołany shutdown (z parametrem -h lub -r). Aby uzyskać więcej informacji, proszę zapoznać się ze stronę podręcznika shutdown(8).

Pozostała część niniejszego podręcznika opisuje zachowanie w poziomach pracy 0 i 6, to znaczy gdy skryptu zatrzymujące system są uruchomione.

OPCJE

-n  Nie wykonuje sync (opróżniania buforów na dysk) przed restartem lub zatrzymaniem. Proszę zauważyć, że jądro i sterowniki dyskowe mogą wciąż wykonać sync. Opcja implikuje -d.

-w  Nie restartuje ani nie zatrzymuje systemu naprawdę, lecz zapisuje tylko rekord wtmp (w pliku /var/log/wtmp).

-d  Nie zapisuje rekordu wtmp.

-f  Wymusza zatrzymanie lub restart, nie wywołuje shutdown(8).

-i  Bezpośrednio przed zatrzymaniem systemu lub restartem wyłącza wszystkie interfejsy sieciowe.

-h  Bezpośrednio przed zatrzymaniem systemu lub restartem umieszcza wszystkie dyski twarde w trybie gotowości (stand-by).

-p  W przypadku zatrzymywania systemu wyłącza komputer. Jest to domyślne zachowanie, gdy halt jest wołany jako poweroff.

DIAGNOSTYKA
Użytkownik nie będący superużytkownikiem otrzyma komunikat "must be superuser" (trzeba być superużytkownikiem).

UWAGI
We wcześniejszych wersjach sysvinit, ani reboot ani halt nie powinny być wywoływane bezpośrednio. Począwszy od wersji 2.74, polecenia halt i reboot wywołują shutdown(8), o ile system nie znajduje się w trybie 0 ani 6. Oznacza to, że jeżeli halt lub reboot nie będą mogły określić aktualnego trybu pracy (na przykład, gdy nie zostanie prawidłowo zainicjowany /var/run/utmp), to zostanie wywołany shutdown. Takie zachowanie może różnić się od oczekiwanego. W celu uzyskania twardego halt lub reboot, należy użyć opcji -f.

Opcja -h ustawia, bezpośrednio przed zatrzymaniem systemu lub restartem, wszystkie dyski twarde w trybie gotowości (stand-by). Obecnie jest to zaimplementowane wyłącznie dla dysków IDE. Efektem ubocznym umieszczenia dysków w trybie stand-by jest opróżnienie buforów zapisu (write cache) dysków. Jest to istotne w przypadku napędów IDE, ponieważ samo jądro nie wykonuje takiej operacji przed wyłączeniem komputera.

Program halt używa /proc/ide/hd* w celu znalezienia wszystkich urządzeń dyskowych IDE, co oznacza, że /proc musi być zamontowane w czasie wywołania halt lub poweroff, bowiem w przeciwnym wypadku przełącznik -h nie zadziała.

AUTOR
Miquel van Smoorenburg, miquels@cistron.nl

ZOBACZ TAKŻE
shutdown(8), init(8)

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.88 oryginału.